// pageage/project_checking/info/index.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        id:"",
        infoData:{},
        imageList:[],
        minImageList:[],      
        loadShow:false,
        loginName:"",
        showDel:false,
        request:app.globalData.reqUrl
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let {id} = options
        //获取缓存数据
        wx.getStorage({
        key: 'userinfo',
        success:res=>{
          this.setData({
            id,
            loginName:res.data.loginName
          }) 
          this.getInfo(); 
        }  
        }) 
    },


    /**
     * 获取安全检查详情信息
     * 
     */
    getInfo(){
        let {id} = this.data
        let that = this
        wx.request({
          url: app.globalData.reqUrl+'/wechat/projectSpecial/info',
          method:"get",
          data:{
              id:id          
          },
          success(res){
            res = res.data
            if(res.code == 200){
                let urls = [];
                let minUrls = [];
                if(res.data.credentialFile){
                  res.data.credentialFile.split(',').forEach(element => {
                    urls.push(that.data.request+element);
                    minUrls.push(that.data.request+element+'.min.jpg');
                  });
                }
                that.setData({
                    infoData:res.data,
                    imageList:urls,
                    minImageList:minUrls,
                    loadShow:false
                })
                //判断当前能否删除
                if(res.data.createBy==that.data.loginName){
                  that.setData({
                    showDel:true
                })
                }
            }
          }
        })
    },

  onDelete(){
    //弹出确认
    let that = this
    wx.showModal({
      title: '提示',
      content: '是否确定删除此条数据？',
      success: function (sm) {
        if (sm.confirm) {
            // 用户点击了确定 可以调用了
            that.deleteData();
          } else if (sm.cancel) {
            console.log('用户点击取消');
          }
        }
     }) 
  },  
  deleteData(){
      let {id} = this.data
      let that = this;
      wx.request({
        url: app.globalData.reqUrl+"/wechat/projectSpecial/remove",
        header: {
          "Username": this.data.loginName,
        },
        data:{
          id:id          
        },
        method:"get",
        success(res){
          app.toast("删除成功！")
          wx.redirectTo({
            url: `../list/index`,
          })
        }
      })
  },

    //展示图片
    showImg:function(e){
      var that=this;
      wx.previewImage({
          urls: that.data.imageList,
          current: that.data.imageList[e.currentTarget.dataset.index]
      })
  },

  downFile:function(e){
    let idx = e.currentTarget.dataset['index'];
    let that = this;
    wx.downloadFile({
      // 示例 url，并非真实存在
      url: app.globalData.uploadUrl+'/common/download/resource?resource='+that.data.imageList[idx],
      success: function (res) {
        const filePath = res.tempFilePath
        wx.openDocument({
            filePath: filePath,
            success: function (res) {
                console.log('打开文档成功')
            },
            fail:function(res) {
                console.log(res)
            }
        })
      }
  })
  //app.toast("暂不支持下载！如需下载请前往后台管理系统！！")
  },

  returnToPage: function () {
    /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
    wx.redirectTo({
        url: '../list/index'
    })
  },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})